com.ibm.openpages.api.application

## Interface IParameter

-     public interface IParameter

  Represents an individual Cognos report parameter based on a prompt in a Cognos report definition.
  See Also:
    `IReportParameters`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDataType()` Gets the data type of the parameter.
    `java.lang.String[]` | `getDefaultValue()` Gets the default value set for this parameter in the report.
    `java.lang.String` | `getName()` Gets the name of the parameter as defined in a Cognos report specification.
    `java.lang.String[]` | `getValue()` Gets the current value set for this parameter.

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Gets the name of the parameter as defined in a Cognos report specification.
      Returns:
        name of the parameter

    - #### getDataType

          java.lang.String getDataType()

      Gets the data type of the parameter. Possible values include the following:
      credential
      hierarchyUniqueName
      memberUniqueName
      xsdByte
      xsdDate
      xsdDateTime (YYYY-MM-DDThh:mm:ss.fff)
      xsdDecimal
      xsdDouble
      xsdDuration
      xsdFloat
      xsdInt
      xsdLong
      xsdShort
      xsdString
      xsdTime
      xsdUnsignedByte
      xsdUnsignedInt
      xsdUnsignedLong
      xsdUnsignedShort

      The types with prefix 'xsd' are XML data types. For information about XML data types, see the W3C Web site.
      Returns:
        parameter data type

    - #### getValue

          java.lang.String[] getValue()

      Gets the current value set for this parameter.
      Returns:
        current value of the parameter

    - #### getDefaultValue

          java.lang.String[] getDefaultValue()

      Gets the default value set for this parameter in the report.
      Returns:
        default value of the parameter

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.